Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class FxSend

    java.lang.Object
      org.linuxsampler.lscp.FxSend

All Implemented Interfaces:
  Parseable

    public class FxSend

extends java.lang.Object
implements Parseable

Provides information about the current settings of a specific effect send.

Constructor Summary
`FxSend()` Creates a new instance of `FxSend`
`FxSend(java.lang.String[] resultSet)` Creates a new instance of `FxSend` and parses the information about a specific effect send described by `resultSet`.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Determines whether the specified object is of type `FxSend` and has equal ID.
`java.lang.Integer[]` | `getAudioOutputRouting()` Gets a list which reflects to which audio channel of the selected audio output device each effect send output channel is routed to.
`int` | `getFxSendId()` Gets the numerical ID of this effect send.
`float` | `getLevel()` Gets the current send level.
`int` | `getMidiController()` Gets the MIDI controller, which is able to modify the send level.
`java.lang.String` | `getName()` Gets the name of this effect send.
`boolean` | `parse(java.lang.String s)` Parses a line of text.
`void` | `setFxSendId(int id)` Sets the numerical ID of this effect send.
`void` | `setName(java.lang.String name)` Sets the name of this effect send.
`java.lang.String` | `toString()` Returns the name of this effect send.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FxSend

    public FxSend()

  Creates a new instance of `FxSend`

### FxSend

    public FxSend(java.lang.String[] resultSet)
           throws LscpException

  Creates a new instance of `FxSend` and parses the information about a specific effect send described by `resultSet`.

  Parameters:
    `resultSet` - An array with information categories about an effect send entity.
  Throws:
    `LscpException` - If the parse fail.

Method Detail

### getFxSendId

    public int getFxSendId()

  Gets the numerical ID of this effect send.

  Returns:
    The numerical ID of this effect send or -1 if the effect send number is not set.

### setFxSendId

    public void setFxSendId(int id)

  Sets the numerical ID of this effect send.

  Parameters:
    `id` - The new effect send number.

### getName

    public java.lang.String getName()

  Gets the name of this effect send.

  Returns:
    The name of this effect send.

### setName

    public void setName(java.lang.String name)

  Sets the name of this effect send.

  Parameters:
    `name` - The new name of this effect send.

### getMidiController

    public int getMidiController()

  Gets the MIDI controller, which is able to modify the send level.

  Returns:
    The MIDI controller, which is able to modify the send level, or -1 if the effect send number is not set.

### getLevel

    public float getLevel()

  Gets the current send level.

  Returns:
    The current send level.

### getAudioOutputRouting

    public java.lang.Integer[] getAudioOutputRouting()

  Gets a list which reflects to which audio channel of the selected audio output device each effect send output channel is routed to. The number of the array's position represents the effect send output channel and the value at the specified position represents to which channel of the selected audio output device the effect send output channel is routed to.

  Returns:
    A list which reflects to which audio channel of the selected audio output device each effect send output channel is routed to.

### parse

    public boolean parse(java.lang.String s)
                  throws LscpException

  Parses a line of text.

  Specified by:
    `parse` in interface `Parseable`
  Parameters:
    `s` - The string to be parsed.
  Returns:
    `true` if the line has been processed, `false` otherwise.
  Throws:
    `LscpException` - If some error occurs.

### toString

    public java.lang.String toString()

  Returns the name of this effect send.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The name of this effect send.

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether the specified object is of type `FxSend` and has equal ID.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - The reference object with which to compare.
  Returns:
    `true` if the specified object is of type `FxSend` and has equal ID.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.